package com.ruoyi.system.domain.communityNews;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 社区资讯收藏对象 comment_stars
 * 
 * @author boman
 * @date 2025-02-28
 */
public class CommentStars extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 收藏ID */
    private Long starsId;

    /** 目标ID */
    @Excel(name = "目标ID")
    private Long targetId;

    /** 目标类型（1：社区 2：党建 ） */
    @Excel(name = "目标类型", readConverterExp = "1=：社区,2=：党建")
    private String targetType;

    /** 目标标题 */
    @Excel(name = "目标标题")
    private String targetTitle;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 用户昵称 */
    @Excel(name = "用户昵称")
    private String nickName;

    /** 头像地址 */
    @Excel(name = "头像地址")
    private String avatar;

    /** 逻辑删除(Y:已删除，N:未删除) */
    private String delFlag;

    public void setStarsId(Long starsId) 
    {
        this.starsId = starsId;
    }

    public Long getStarsId() 
    {
        return starsId;
    }
    public void setTargetId(Long targetId) 
    {
        this.targetId = targetId;
    }

    public Long getTargetId() 
    {
        return targetId;
    }
    public void setTargetType(String targetType) 
    {
        this.targetType = targetType;
    }

    public String getTargetType() 
    {
        return targetType;
    }
    public void setTargetTitle(String targetTitle) 
    {
        this.targetTitle = targetTitle;
    }

    public String getTargetTitle() 
    {
        return targetTitle;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setNickName(String nickName) 
    {
        this.nickName = nickName;
    }

    public String getNickName() 
    {
        return nickName;
    }
    public void setAvatar(String avatar) 
    {
        this.avatar = avatar;
    }

    public String getAvatar() 
    {
        return avatar;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("starsId", getStarsId())
            .append("targetId", getTargetId())
            .append("targetType", getTargetType())
            .append("targetTitle", getTargetTitle())
            .append("userId", getUserId())
            .append("nickName", getNickName())
            .append("avatar", getAvatar())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
